#!/usr/bin/env python

import EMAN
import sys
import os

e = EMAN.EMData()
imagefile = os.environ['HOME'] + "/images/t8.mrc"

err = e.readImage(imagefile)
if err:
    print "Error in readImage " + imagefile
    sys.exit(1)

a1 = e.getData()
print "nx =", len(a1[0][0]), "ny =", len(a1[0]), "nz =", len(a1)

nx = len(a1[0][0])
ny = len(a1[0])

for j in range(ny/2):
    for i in range(nx):
        a1[0][j][i] = 0

print type(a1)

e.setData(a1)
#e.display()

